Error En Instalacion De Nueva Versión


Objetivo: Error En Instalacion De Nueva Versión
buenas,

estoy por lanzar la nueva versión de Taller-2015 con cambios radicales (0.2.9)
la versión anterior es la 0.2.62
el problema surge cuando voy a instalar el paquete deb de la nueva versión y me salta esta ventana

paquetes_taller_2015

como que algún dato por ahí no esta bien

si desintalo la versión vieja e instalo la nueva encara todo bien, pero... lo correcto es que la versión nueva se instale correctamente, desintalando la vieja e instalando la nueva que es lo que hace el instalador de paquetes deb.

alguna sugerencia de porque pasa esto?

Objetivo: Re: Error En Instalacion De Nueva Versión
v3ctor:

Interesante. ¿ Ves algún error en la salida Lintian ?. Si es así,muéstralo.

No lo veo normal.

Y si pruebas a hacerlo desde la linea de comando, ¿ que te dice ?.

dpkg -i paquete.deb


Saludos

Objetivo: Re: Error En Instalacion De Nueva Versión
shell gracias, se instala correctamente,

esta es la salida:

prueba1@prueba1-desktop ~/Escritorio/Taller2015v-0.2.9/ubuntu $ sudo dpkg -i taller-2015_0.2.9-0ubuntu2_all.deb
dpkg: aviso: desactualizando taller-2015 de 0.2.62-0ubuntu2 a 0.2.9-0ubuntu2
(Leyendo la base de datos ... 197113 ficheros o directorios instalados actualmente.)
Preparing to unpack taller-2015_0.2.9-0ubuntu2_all.deb ...
Unpacking taller-2015 (0.2.9-0ubuntu2) over (0.2.62-0ubuntu2) ...
Configurando taller-2015 (0.2.9-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...

voy a probar en otra maquina, a ver si es problema de mi sistema o del instalador deb....

editado: probe en otra pc con mint cinnamon y dio el mismo problema....

última edición por v3ctor el Miercoles, 23 Diciembre 2015, 13:40; editado 1 vez
Objetivo: Re: Error En Instalacion De Nueva Versión
Para probar, primero he instalado la 0.29 y luego he intentado instalar la 0.262 y..
GDebi no dice nada de que ya está instalada la mas actual!.

Simplemente dice que las dependencias están satisfechas.

Saludos

última edición por Shell el Miercoles, 23 Diciembre 2015, 14:19; editado 2 veces
Objetivo: Re: Error En Instalacion De Nueva Versión
Por cierto. ¿ Cuál es el estado de la aplicación Taller ?. ¿ Alfa, Beta ?.

Sin ningún registro (aplicación nueva). He ido al menú herramientas, gráficas y obtuve este error:

errorgraficas

Quizás haya menús que según el estado de la aplicación, no deban estar activos.
Es una aplicación bonita, tendré que bajar el código fuente.

Saludos

Objetivo: Re: Error En Instalacion De Nueva Versión
Shell escribió: [Ver mensaje]
Por cierto. ¿ Cuál es el estado de la aplicación Taller ?. ¿ Alfa, Beta ?.



jajajaj ni alfa ni beta, el estado de la aplicación es planificación o experimental

sobre el error voy a ver que paso ahi... en la parte de grafíca no hay nada hecho en realidad solo estoy experimentando.

ahora que pienso tal vez el error es porque no hay datos en la base de datos... lo voy a ver.

última edición por v3ctor el Miercoles, 23 Diciembre 2015, 14:32; editado 1 vez
Objetivo: Re: Error En Instalacion De Nueva Versión
Shell escribió: [Ver mensaje]

Sin ningún registro (aplicación nueva). He ido al menú herramientas, gráficas y obtuve este error:

errorgraficas

Quizás haya menús que según el estado de la aplicación, no deban estar activos.
Es una aplicación bonita, tendré que bajar el código fuente.

Saludos


el error se producía por no haber ningún registro osea nulo cuando esperaba un numero de tipo float,

lo arregle haciendo una comprobación de que si no hay al menos un registro el menu gráficas quede en enable=false y si hay al menos un registro enable=true

shell gracias por la info del bug, saludos.


Página 1 de 1


  
No puede crear mensajes
No puede responder temas
No puede editar sus mensajes
No puede borrar sus mensajes
No puede votar en encuestas
No puede adjuntar archivos
No puede descargar archivos
No puede publicar eventos en el calendario

   

Está utilizando la versión (Lo-Fi). Para ver la versión completa del foro, haga clic aquí.

Powered by Icy Phoenix based on phpBB
Design by DiDiDaDo

Página generada en:: 0.1806s (PHP: 63% SQL: 37%)
Consultas SQL: 23 - Debug off - GZIP Activado